#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void jsp_res(jsp* yy, jsp* der_x, jsp* x, jsp* p, int * condit, int * lock, int * prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x p
#pragma ad dep yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   jsp var_x=0; 
   jsp der_var_x=0; 
   jsp var_y=0; 
   jsp der_var_y=0; 
   jsp var_z=0; 
   jsp der_var_z=0; 
   jsp par_Para=0; 
   jsp par_Cont=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   var_x=x[0];
   der_var_x=der_x[0];
   var_y=x[1];
   der_var_y=der_x[1];
   var_z=x[2];
   der_var_z=der_x[2];
   par_Para=p[0];
   par_Cont=p[1];
   yy[i_E]=var_x-(par_Para*par_Cont);
   i_E=i_E+1;
   yy[i_E]=var_y-(5*par_Para);
   i_E=i_E+1;
   yy[i_E]=var_z-(0.37256);
   i_E=i_E+1;
   n_c=i_C;
}
